Package org.bukkit.block.data.type

# Interface SeaPickle

All Superinterfaces:
  `BlockData`, `Cloneable`, `Waterlogged`

public interface SeaPickle extends Waterlogged
'pickles' indicates the number of pickles in this block.

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaximumPickles()`
Gets the maximum allowed value of the 'pickles' property.
`int`
`getMinimumPickles()`
Gets the minimum allowed value of the 'pickles' property.
`int`
`getPickles()`
Gets the value of the 'pickles' property.
`void`
`setPickles(int pickles)`
Sets the value of the 'pickles' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`

## Method Details

### getPickles

int getPickles()
Gets the value of the 'pickles' property.

Returns:
  the 'pickles' value

### setPickles

void setPickles(int pickles)
Sets the value of the 'pickles' property.

Parameters:
  `pickles` - the new 'pickles' value

### getMinimumPickles

int getMinimumPickles()
Gets the minimum allowed value of the 'pickles' property.

Returns:
  the minimum 'pickles' value

### getMaximumPickles

int getMaximumPickles()
Gets the maximum allowed value of the 'pickles' property.

Returns:
  the maximum 'pickles' value